help=false;
skipping=false;
object=0;

loadresource("data\\9\\12\\texture.png","am1_texture",1000);
loadresource("data\\btn.png","am1_btn",1001);
loadresource("data\\9\\12\\brush.png","am1_brush",1004);
loadresource("data\\9\\12\\brush_powd.png","am1_brush_powd",1005);
loadresource("data\\9\\12\\powder.png","am1_powder",1006);
loadresource("data\\9\\12\\light.png","am1_light",1007);
loadresource("data\\9\\12\\lampon.png","am1_lampon",1008);
loadresource("data\\9\\12\\lamp.png","am1_lamp",1009);
loadresource("data\\9\\12\\lampbtnon.png","am1_lampbtnon",1010);
loadresource("data\\9\\12\\lampbtn.png","am1_lampbtn",1011);
loadresource("data\\9\\12\\text.png","am1_text",1012);
loadresource("data\\9\\12\\bg.png","am1_bg",1013);
loadresource("data\\9\\12\\dark.png","am1_dark",1014);
loadresource("data\\9\\12\\bg1.png","am1_bg1",1015);
set_activ_free_leaf("mini1");	

SkipX=570;
SkipY=590;

addstaticobjecttogame(5001,"skip",SkipX+10,SkipY,"",8,33,140,33);
addactivobjecttogame(5000,"skip",SkipX,SkipY,"","",0,0,0,0,193,33);
speciale_action(10,5001);
addtexttogame(5100,SkipX+150,SkipY+3,"5000"); 
setcolor(5100,1,1,1,1,1);
speciale_action(4,5100);


if not flags.light then
HideSkipBtn ()	
end;

if  flags.light then
StartProgress(5001,30,true)
end;
addactivobjecttogame(1001,"am1_btn",140,98,"","",0,0, 0,105,35,35,0,"1013");
addactivobjecttogame(6000,"buttons",128,570,"","",0,0,783,975,34,34);
-- addactivobjecttogame(1002,"am1__btn",140,98,"","",0,0,35,0,35,35,0,"1014");
-- addactivobjecttogame(1003,"am1__btn",140,98,"","",0,0,70,0,35,35,0,"1015");

addstaticobjecttogame(1007,"am1_light",102,129,"");
addstaticobjecttogame(1008,"am1_lampon",470,102,"");
addstaticobjecttogame(1010,"am1_lampbtnon",626,88,"");

addactivobjecttogame(1011,"am1_lampbtn",629,91,"","");
addstaticobjecttogame(1009,"am1_lamp",479,111,"");
addstaticobjecttogame(1015,"am1_bg1",455,26,"");
addstaticobjecttogame(1014,"am1_dark",131,89,"");


if not flags.light then
	speciale_action(2,1007)
	speciale_action(10,1007)
	speciale_action(2,1008)
	speciale_action(2,1010)
end;

if flags.light then
speciale_action(10,1007)	
	speciale_action(2,1014)
end;
if flags.brush then
addactivobjecttogame(1004,"am1_brush",657,512,"","");
end;
addactivobjecttogame(1005,"am1_brush_powd",657,512,"","");
speciale_action(2,1005);
if flags.powder then
	addactivobjecttogame(1006,"am1_powder",694,459,"","");
end;
i=1016;
--while i<=1200 do
texture={}
	for y=220,407,30 do
	  x1=125+y*92/219;
	  x2=386+y*92/219;
	  for x=x1,x2,30 do
		  addactivobjecttogame(i,"am1_texture",x,y,"","");
			OnMouseOver(i);
		  texture[i]=false		 
		  i=i+1;
	  end;
	end;
--end;
max_texture=i;

addstaticobjecttogame(1012,"am1_text",287,231,"");

addstaticobjecttogame(1013,"am1_bg",91,26,"");

speciale_action(2,1001);
speciale_action(2,1009);
speciale_action(2,1015);
speciale_action(2,1011);
speciale_action(2,1014);
speciale_action(2,1012);
speciale_action(2,1013);

